OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Variables
clear_land.h File Reference

Tables with sprites for clear land and fences. More...

Go to the source code of this file.

## Variables
static const SpriteID | _landscape_clear_sprites_rough [8]
static const byte | _fence_mod_by_tileh_sw [32]
static const byte | _fence_mod_by_tileh_se [32]
static const byte | _fence_mod_by_tileh_ne [32]
static const byte | _fence_mod_by_tileh_nw [32]
static const SpriteID | _clear_land_fence_sprites [7]
static const SpriteID | _clear_land_sprites_farmland [16]
static const SpriteID | _clear_land_sprites_snow_desert [8]

## Detailed Description

Tables with sprites for clear land and fences.

Definition in file clear_land.h.

## Variable Documentation

const SpriteID _clear_land_fence_sprites[7]
| static

Initial value:
{
SPR_HEDGE_BUSHES,
SPR_HEDGE_BUSHES_WITH_GATE,
SPR_HEDGE_FENCE,
SPR_HEDGE_BLOOMBUSH_YELLOW,
SPR_HEDGE_BLOOMBUSH_RED,
SPR_HEDGE_STONE,
}

Definition at line 52 of file clear_land.h.

const SpriteID _clear_land_sprites_farmland[16]
| static

Initial value:
{
SPR_FARMLAND_BARE,
SPR_FARMLAND_STATE_1,
SPR_FARMLAND_STATE_2,
SPR_FARMLAND_STATE_3,
SPR_FARMLAND_STATE_4,
SPR_FARMLAND_STATE_5,
SPR_FARMLAND_STATE_6,
SPR_FARMLAND_STATE_7,
SPR_FARMLAND_HAYPACKS,
}

Definition at line 61 of file clear_land.h.

const SpriteID _clear_land_sprites_snow_desert[8]
| static

Initial value:
{
SPR_FLAT_1_QUART_SNOW_DESERT_TILE,
SPR_FLAT_2_QUART_SNOW_DESERT_TILE,
SPR_FLAT_3_QUART_SNOW_DESERT_TILE,
SPR_FLAT_SNOW_DESERT_TILE,
}

Definition at line 73 of file clear_land.h.

const byte _fence_mod_by_tileh_ne[32]
| static

Initial value:
{
0, 0, 0, 0, 4, 4, 4, 4,
2, 2, 2, 2, 0, 0, 0, 0,
0, 0, 0, 0, 4, 4, 4, 4,
2, 2, 2, 2, 0, 2, 4, 0,
}

Definition at line 37 of file clear_land.h.

const byte _fence_mod_by_tileh_nw[32]
| static

Initial value:
{
1, 5, 1, 5, 1, 5, 1, 5,
3, 1, 3, 1, 3, 1, 3, 1,
1, 5, 1, 5, 1, 5, 1, 5,
3, 1, 3, 5, 3, 3, 3, 1,
}

Definition at line 44 of file clear_land.h.

const byte _fence_mod_by_tileh_se[32]
| static

Initial value:
{
1, 1, 5, 5, 3, 3, 1, 1,
1, 1, 5, 5, 3, 3, 1, 1,
1, 1, 5, 5, 3, 3, 1, 5,
1, 1, 5, 5, 3, 3, 3, 1,
}

Definition at line 30 of file clear_land.h.

const byte _fence_mod_by_tileh_sw[32]
| static

Initial value:
{
0, 2, 4, 0, 0, 2, 4, 0,
0, 2, 4, 0, 0, 2, 4, 0,
0, 2, 4, 0, 0, 2, 4, 4,
0, 2, 4, 2, 0, 2, 4, 0,
}

Definition at line 23 of file clear_land.h.

const SpriteID _landscape_clear_sprites_rough[8]
| static

Initial value:
{
SPR_FLAT_ROUGH_LAND,
SPR_FLAT_ROUGH_LAND_1,
SPR_FLAT_ROUGH_LAND_2,
SPR_FLAT_ROUGH_LAND_3,
SPR_FLAT_ROUGH_LAND_4,
SPR_FLAT_ROUGH_LAND,
SPR_FLAT_ROUGH_LAND_1,
SPR_FLAT_ROUGH_LAND_2,
}

Definition at line 12 of file clear_land.h.